Package: org.codehaus.groovy.antlr

## [Java] Class ASTParserException

- org.codehaus.groovy.antlr.ASTParserException

- Thrown when trying to parse the AST

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ASTParserException (ASTRuntimeException e)`
    `ASTParserException (String message, ASTRuntimeException e)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `antlr.collections.AST` | `getAst()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SyntaxException` | `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`
    `class GroovyException` | `isFatal, setFatal`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ASTParserException(ASTRuntimeException e)

    - #### public ASTParserException(String message, ASTRuntimeException e)

  - ### Method Detail

    - #### public antlr.collections.AST getAst()